#!/bin/sh
RPMRC=$1
[ -z "$RPMRC" ] && RPMRC=/usr/lib/rpm/rpmrc
MACROPATH=$2
[ -z "$MACROPATH" ] && RPMRC=/usr/lib/rpm

SUFFIX="`rpm --eval %{_os}`"

NUM="`grep -e optflags $RPMRC |wc -l`"
for ((i=0; i < NUM; i++)); do
	ARCH="`grep -e optflags $RPMRC | head -n$i | tail -n1 | cut -d\  -f2`"
	ARCHDIR="$MACROPATH/$ARCH-$SUFFIX"
	mkdir -p "$ARCHDIR"
	OPTFLAGS="`grep -e optflags $RPMRC | head -n$i | tail -n1 | cut -d\  -f3-`"
	echo "%optflags $OPTFLAGS" > "$ARCHDIR/macros"
done
